System.ServiceModel 4.0.0.0 System.Object System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlRoot("EndpointReference", Namespace="http://schemas.xmlsoap.org/ws/2004/08/addressing") System.Xml.Serialization.XmlSchemaProvider("GetSchema")

The is not serializable nor is it tied to a particular version of the WS-Addressing specification. indigo1 supplies a class that provides a serializable type, , which is WS-Addressing V1 compliant.

This class provides a WS-Addressing August 2004 compliant wrapper for the that is serializable and bound to a particular wire format for legacy purposes. The method does the wrapping and the method does the unwrapping, allowing the recovery of the endpoint address after being serialized on the wire.

Provides a serializable type of endpoint address that is compliant with the version of WS-Addressing published in August 2004 and that enables it to be exposed as part of the service contract.

- Method
  4.0.0.0
  System.ServiceModel.EndpointAddressAugust2004 ``

  The is not tied to a particular version of the WS-Addressing specification or bound to a particular wire format.

  Initializes a new instance of the class with a specified endpoint address.

  The class that contains the specified endpoint address.

  The used to initialize the instance of this class.
- Method
  4.0.0.0
  System.Xml.XmlQualifiedName ``

  This method is required by the serialization contract. It must be public to be seen by the XmlSerializer. It is not intended to be called by developers.

  Returns an XML-qualified name that describes the XML representation of the version 1 endpoint address from a specified cached schema.

  A that describes the XML representation of the endpoint address.

  A that contains a cache of the XML schema definition language (XSD) schemas for the endpoint address.
- Method
  4.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  Returns null.

  null

- Method
  4.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  The from which the endpoint address is obtained.
- Method
  4.0.0.0
  System.Void `` To be added.

  This member supports the .NET Framework infrastructure and is not intended to be used directly from your code.

  The to which the current endpoint address is saved.
- Method
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added.

  Retrieves the endpoint address contained in this serializable type.

  The that contains a version-neutral endpoint address of this .